Subject: bug#5990: 23.1; Cannot type the word 買います

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Aug 2016 16:59:22 +0300

> From: Andrew Hyatt <[email-masked]>
> Date: Sun, 07 Aug 2016 00:05:45 -0400
> Cc: [email-masked]
> 
> Trying this out Emacs 25, I get completely different text.  My choices
> are:
> 
> かいます
> 垣間す
> 加居間す
> 過居間す
> 可居間す
> 
> I don't read Japanese, so I can't comment on how appropriate any of the
> matches are.

I tried the same in Emacs 23, and I couldn't reproduce the issue
there, either.  Maybe the OP had some customized dictionary, or maybe
even didn't use the Emacs IM?  E.g., this might be relevant:

>   value of $XMODIFIERS: @im=ibus

> >From what I can tell, the Japanese word list is build off of
> http://openlab.ring.gr.jp/skk/skk/dic/SKK-JISYO.L.  I don't know about
> the process of changing that.

If there are significant updates, we can import a new version for the
next release, I think.